---
lang: en
title: 'API docs: context.context.findorcreatebinding'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.context.findorcreatebinding.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Context](./context.context.md) &gt; [findOrCreateBinding](./context.context.findorcreatebinding.md)

## Context.findOrCreateBinding() method

Find or create a binding for the given key

<b>Signature:</b>

```typescript
findOrCreateBinding<T>(key: BindingAddress<T>, policy?: BindingCreationPolicy): Binding<T>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | <code>BindingAddress&lt;T&gt;</code> | Binding address |
|  policy | <code>BindingCreationPolicy</code> | Binding creation policy |

<b>Returns:</b>

`Binding<T>`


